Documentation Index

Fetch the complete documentation index at: https://support.fortanix.com/llms.txt

Use this file to discover all available pages before exploring further.

Get all logs visible to the requester.

Prev Next
Get
/sys/v1/logs

Get all logs visible to the requester.

Security
HTTP
Type bearer
API Key: apiKeyAuth
Header parameter nameAuthorization

Please enter your token prefixed with 'Basic ' (e.g., 'Basic your_token_here')

Query parameters
LogsParams
object
size
integer

Maximum number of entries to return. Upper limit for max entries is 1000.

Minimum0
Maximum4294967295
from
integer

Starting offset

Minimum0
Maximum4294967295
range_from
integer

Starting time for search. This is EPOCH time.

range_to
integer

Ending time for search. This is EPOCH time.

action_type
Array of string (ActionType)

Action Type

string
Valid values[ "ADMINISTRATIVE", "AUTH", "CRYPTOOPERATION", "RUNPLUGIN", "CUSTOM", "OTHER" ]
actor_type
Array of string

Actor Type Available values are: User, App & Plugin.

string
actor_id
string (uuid)

UUID of Actor (User, App or Plugin)

object_id
string (uuid)

UUID of entity affected by event. For instance, if a group is created object_id will be UUID of group.

previous_id
string (uuid)

UUID of log after which further logs are required.

severity
Array of string (SeverityLevel)

Severity of event

string
Valid values[ "INFO", "WARNING", "ERROR", "CRITICAL" ]
Responses
2XX

Success result

Expand All
object
hits
Array of object (EsAuditLogOuter)

List of audit logs.

object
_id
string

UUID of audit log

_source
object
action_type
string
Valid values[ "ADMINISTRATIVE", "AUTH", "CRYPTOOPERATION", "RUNPLUGIN", "CUSTOM", "OTHER" ]
actor_type
string

Actor Type Available values are: User, App & Plugin.

message
string

Audit log message

client_provided_context
string | null

Additional information not already captured by message. In some cases, the format might be customized by the client.

severity
string
Valid values[ "INFO", "WARNING", "ERROR", "CRITICAL" ]
time
string

Time of Event

Pattern^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}Z$
Example2017-05-09T07:09:12Z
acct_id
string (uuid)

UUID of account

actor_id
string (uuid)

UUID of Actor (User, App or Plugin)

group_ids
Array of string

UUIDs of groups involved/used in event

string (uuid)
object_id
string (uuid)

UUID of entity affected by event. For instance, if a group is created object_id will be UUID of group.

client_ip

IP Address of client

OneOf
string (ipv4) | null
string
string (ipv6) | null
string
response_time
object | null

Time taken for event/operation completion

secs
integer
nanos
integer
Minimum0
Maximum999999999